org.apache.commons.ssl.asn1

## Class ASN1StreamParser

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1StreamParser

    public class ASN1StreamParser
    extends java.lang.Object

### Field Summary

Fields
`private boolean` `_eofFound`
`(package private) java.io.InputStream` `_in`
`private int` `_limit`

### Constructor Summary

Constructors
Constructor and Description
`ASN1StreamParser(byte[] encoding)`
`ASN1StreamParser(java.io.InputStream in)`
`ASN1StreamParser(java.io.InputStream in, int limit)`

### Method Summary

Methods
`(package private) java.io.InputStream` `getParentStream()`
`private ASN1EncodableVector` `loadVector(java.io.InputStream in, int length)`
`private int` `readLength()`
`DEREncodable` `readObject()`
`private void` `set00Check(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _in

    java.io.InputStream _in

#### _limit

    private int _limit

#### _eofFound

    private boolean _eofFound

### Constructor Detail

#### ASN1StreamParser

    public ASN1StreamParser(java.io.InputStream in)

#### ASN1StreamParser

    public ASN1StreamParser(java.io.InputStream in,
                    int limit)

#### ASN1StreamParser

    public ASN1StreamParser(byte[] encoding)

### Method Detail

#### getParentStream

    java.io.InputStream getParentStream()

#### readLength

    private int readLength()
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### readObject

    public DEREncodable readObject()
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### set00Check

    private void set00Check(boolean enabled)

#### loadVector

    private ASN1EncodableVector loadVector(java.io.InputStream in,
                                 int length)
                                    throws java.io.IOException

Throws:
  `java.io.IOException`